View Issue Details

IDProjectCategoryView StatusLast Update
0004364unrealircdpublic2015-08-08 08:42
ReportersyzopAssigned Tosyzop 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version3.4-alpha3 
Target Version3.4-alpha4Fixed in Version3.4-beta1 
Summary0004364: modularize more user modes
DescriptionSee https://www.unrealircd.org/docs/User_Modes
Only two user modes have a module

Compare that to https://www.unrealircd.org/docs/Channel_Modes which is way better.
Additional InformationNo showstopper for alpha4. Just something that needs to be done reasonably soon.
TagsNo tags attached.
3rd party modules

Activities

syzop

2015-06-21 21:47

administrator   ~0018410

Last edited: 2015-06-21 21:47

View 2 revisions

Mostly done. Only a few left that I want to move to modules, rest can stay built-in.

syzop

2015-08-08 08:42

administrator   ~0018578

Only ones left are:
    UmodeAdd(NULL, 'i', UMODE_GLOBAL, 0, umode_allow_all, &UMODE_INVISIBLE);
    UmodeAdd(NULL, 'o', UMODE_GLOBAL, 1, umode_allow_opers, &UMODE_OPER);
    UmodeAdd(NULL, 'w', UMODE_GLOBAL, 0, umode_allow_all, &UMODE_WALLOP);
    UmodeAdd(NULL, 'r', UMODE_GLOBAL, 0, umode_allow_none, &UMODE_REGNICK);
    UmodeAdd(NULL, 's', UMODE_LOCAL, 0, umode_allow_all, &UMODE_SERVNOTICE);
    UmodeAdd(NULL, 'x', UMODE_GLOBAL, 0, umode_allow_all, &UMODE_HIDE);
    UmodeAdd(NULL, 'z', UMODE_GLOBAL, 0, umode_allow_none, &UMODE_SECURE);
    UmodeAdd(NULL, 'd', UMODE_GLOBAL, 0, umode_allow_all, &UMODE_DEAF);
    UmodeAdd(NULL, 'H', UMODE_GLOBAL, 1, umode_allow_opers, &UMODE_HIDEOPER);
    UmodeAdd(NULL, 't', UMODE_GLOBAL, 0, umode_allow_unset, &UMODE_SETHOST);
    UmodeAdd(NULL, 'I', UMODE_GLOBAL, 1, umode_allow_opers, &UMODE_HIDLE);

..of which only 'I' (hide idle time) would be worth moving to a module I think, rest is really not a priority.

I'm closing this one: it's pretty much done, and next time someone assk to modularize +I we can use that bug id.. when there's interest.

Issue History

Date Modified Username Field Change
2015-06-17 19:58 syzop New Issue
2015-06-17 19:59 syzop Status new => confirmed
2015-06-20 15:22 syzop Assigned To => syzop
2015-06-20 15:22 syzop Status confirmed => assigned
2015-06-21 21:47 syzop Note Added: 0018410
2015-06-21 21:47 syzop Note Edited: 0018410 View Revisions
2015-08-08 08:42 syzop Note Added: 0018578
2015-08-08 08:42 syzop Status assigned => resolved
2015-08-08 08:42 syzop Fixed in Version => 3.4-beta1
2015-08-08 08:42 syzop Resolution open => fixed